# don't create debug packages
%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}


Name:               kibana
Version:            4.4.1
Release:            1%{?dist}
Summary:            Explore and visualize elasticsearch data
License:            ASL 2.0
URL:                https://www.elastic.co/products/kibana
Source0:            https://download.elastic.co/kibana/kibana/kibana-%{version}-linux-x64.tar.gz
Source1:            kibana.service
Source2:            kibana.init
Source3:            kibana.logrotate

Requires(pre):      shadow-utils

%if 0%{?rhel} && 0%{?rhel} <= 6
Requires(post):     chkconfig
Requires(preun):    chkconfig
Requires(postun):   initscripts
%else
BuildRequires:      systemd
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd
%endif

%description
Kibana is an open source data visualization tool that allows you to interact
with your elasticsearch data through graphics that can be combined into custom
dashboards that help you share insights from your data.

%prep
%setup -q -n %{name}-%{version}-linux-x64


%build
# Nothing to build


%install
mkdir -p %{buildroot}/opt/%{name}
cp -pr bin/ installedPlugins/ node/ node_modules/ \
    optimize/ src/ webpackShims/ package.json \
    %{buildroot}/opt/%{name}

install -Dp -m0755 config/kibana.yml %{buildroot}%{_sysconfdir}/kibana.yml
mkdir %{buildroot}/opt/%{name}/config
ln -s %{_sysconfdir}/kibana.yml %{buildroot}/opt/%{name}/config/kibana.yml

%if 0%{?rhel} && 0%{?rhel} <= 6
mkdir -p %{buildroot}%{_localstatedir}/run/%{name}
install -Dp -m0755 %{SOURCE2} %{buildroot}%{_initddir}/%{name}
install -Dp -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%else
install -Dp -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
%endif


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d / -s /sbin/nologin \
    -c "kibana" %{name}
exit 0


%post
%if 0%{?rhel} && 0%{?rhel} <= 6
/sbin/chkconfig --add %{name}
%else
%systemd_post %{name}.service
%endif


%preun
%if 0%{?rhel} && 0%{?rhel} <= 6
if [ $1 -eq 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi
%else
%systemd_preun %{name}.service
%endif


%postun
%if 0%{?rhel} && 0%{?rhel} <= 6
if [ "$1" -ge "1" ] ; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi
%else
%systemd_postun_with_restart %{name}.service
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc README.txt
/opt/%{name}
%config(noreplace) %{_sysconfdir}/kibana.yml

%if 0%{?rhel} && 0%{?rhel} <= 6
%{_initddir}/%{name}
%attr(0755,%{name},%{name}) %dir %{_localstatedir}/run/%{name}
%{_sysconfdir}/logrotate.d/%{name}
%else
%{_unitdir}/%{name}.service
%endif

%changelog
* Tue Feb 23 2016 Piotr Popieluch <piotr1212@gmail.com> - 4.4.1-1
- Update to upstream 4.4.1

* Tue Nov 03 2015 Piotr Popieluch <piotr1212@gmail.com> - 4.2.0-1
- Update to 4.2.0

* Tue Sep 22 2015 Piotr Popieluch <piotr1212@gmail.com> - 4.1.2-1
- Update to 4.1.2

* Wed Sep  2 2015 Piotr Popieluch <piotr1212@gmail.com> - 4.1.1-1
- Initial bundled package attempt
